{
  lib,
  pkgs,
  config,
  osConfig,
  ...
}: {
  options.programs.anki = {
    enable = lib.mkEnableOption "enable anki";
  };

  config = lib.mkIf config.programs.anki.enable (lib.mkMerge [
    {
      home.packages = with pkgs; [
        anki
      ];
    }
    (
      lib.mkIf osConfig.host.impermanence.enable {
        home.persistence."/persist${config.home.homeDirectory}" = {
          directories = [
            "${config.xdg.dataHome}/Anki2/"
          ];
          allowOther = true;
        };
      }
    )
  ]);
}
