{
  lib,
  pkgs,
  config,
  osConfig,
  ...
}: {
  options.programs.dbeaver-bin = {
    enable = lib.mkEnableOption "enable dbeaver";
  };

  config = lib.mkIf config.programs.dbeaver-bin.enable (lib.mkMerge [
    {
      home.packages = with pkgs; [
        dbeaver-bin
      ];
    }
    (
      lib.mkIf osConfig.host.impermanence.enable {
        home.persistence."/persist${config.home.homeDirectory}" = {
          directories = [
            "${config.xdg.dataHome}/DBeaverData/"
          ];
          allowOther = true;
        };
      }
    )
  ]);
}
