{
  lib,
  pkgs,
  config,
  osConfig,
  ...
}: {
  options.programs.discord = {
    enable = lib.mkEnableOption "enable discord";
  };

  config = lib.mkIf config.programs.discord.enable (lib.mkMerge [
    {
      home.packages = with pkgs; [
        discord
      ];
    }
    (
      lib.mkIf osConfig.host.impermanence.enable {
        home.persistence."/persist${config.home.homeDirectory}" = {
          directories = [
            "${config.xdg.configHome}/discord/"
          ];
          allowOther = true;
        };
      }
    )
  ]);
}
