{
  lib,
  pkgs,
  config,
  osConfig,
  ...
}: {
  options.programs.prostudiomasters = {
    enable = lib.mkEnableOption "enable prostudiomasters";
  };

  config = lib.mkIf config.programs.prostudiomasters.enable (lib.mkMerge [
    {
      home.packages = with pkgs; [
        prostudiomasters
      ];
    }
    (
      lib.mkIf osConfig.host.impermanence.enable {
        home.persistence."/persist${config.home.homeDirectory}" = {
          directories = [
            "${config.xdg.configHome}/ProStudioMasters"
          ];
        };
      }
    )
  ]);
}
