{
  lib,
  pkgs,
  config,
  osConfig,
  ...
}: {
  options.programs.protonvpn-gui = {
    enable = lib.mkEnableOption "enable protonvpn";
  };

  config = lib.mkIf config.programs.protonvpn-gui.enable (lib.mkMerge [
    {
      home.packages = with pkgs; [
        protonvpn-gui
      ];
    }
    (
      lib.mkIf osConfig.host.impermanence.enable {
        home.persistence."/persist${config.home.homeDirectory}" = {
          directories = [
            "${config.xdg.configHome}/protonvpn"
            "${config.xdg.configHome}/Proton"
          ];
        };
      }
    )
  ]);
}
