{
  lib,
  pkgs,
  config,
  osConfig,
  ...
}: {
  options.programs.qbittorrent = {
    enable = lib.mkEnableOption "enable qbittorrent";
  };

  config = lib.mkIf config.programs.qbittorrent.enable (lib.mkMerge [
    {
      home.packages = with pkgs; [
        qbittorrent
      ];
    }
    (
      lib.mkIf osConfig.host.impermanence.enable {
        home.persistence."/persist${config.home.homeDirectory}" = {
          directories = [
            "${config.xdg.configHome}/qBittorrent"
          ];
        };
      }
    )
  ]);
}
